Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1492196 - Likely mismatch between code and database schema
Summary: Likely mismatch between code and database schema
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 18:39 UTC by Sai Sindhur Malleni
Modified: 2017-09-27 08:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 08:42:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1717575 0 None None None 2017-09-15 18:42:38 UTC

Description Sai Sindhur Malleni 2017-09-15 18:39:11 UTC
Description of problem: Seeing several messages like this in neutron-server logs
https://gist.github.com/smalleni/e0422a42881f015ce3436ce7d6ac1a30

(1054, u"Unknown column 'mtu' in 'field list'") seems to be the problem

Looking at the table, there doesn't seem to be an mtu field
MariaDB [ovs_neutron]> describe networks;
+-------------------------+--------------+------+-----+---------+-------+
| Field                   | Type         | Null | Key | Default | Extra |
+-------------------------+--------------+------+-----+---------+-------+
| project_id              | varchar(255) | YES  | MUL | NULL    |       |
| id                      | varchar(36)  | NO   | PRI | NULL    |       |
| name                    | varchar(255) | YES  |     | NULL    |       |
| status                  | varchar(16)  | YES  |     | NULL    |       |
| admin_state_up          | tinyint(1)   | YES  |     | NULL    |       |
| vlan_transparent        | tinyint(1)   | YES  |     | NULL    |       |
| standard_attr_id        | bigint(20)   | NO   | UNI | NULL    |       |
| availability_zone_hints | varchar(255) | YES  |     | NULL    |       |
+-------------------------+----


Version-Release number of selected component (if applicable):
OSP 12
puppet-neutron-11.3.0-0.20170805104936.743dde6.el7ost.noarch
python-neutronclient-6.5.0-0.20170807200849.355983d.el7ost.noarch
openstack-neutron-lbaas-11.0.0-0.20170807144457.c9adfd4.el7ost.noarch
python-networking-l2gw-10.1.0-0.20170804100327.a8ae0e3.el7ost.noarch
python-neutron-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
openstack-neutron-linuxbridge-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
openstack-neutron-common-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
openstack-neutron-ml2-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
openstack-neutron-openvswitch-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
python-neutron-lbaas-11.0.0-0.20170807144457.c9adfd4.el7ost.noarch
python-networking-odl-11.0.0-0.20170806093629.2e78dca.el7ost.noarch
python-networking-ovn-3.0.0-0.20170807061656.2425483.el7ost.noarch
openstack-neutron-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
python-networking-bgpvpn-7.0.0-0.20170807233234.c54f55e.el7ost.noarch
openstack-neutron-sriov-nic-agent-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
python-neutron-lib-1.9.1-0.20170731102145.0ef54c3.el7ost.noarch
openstack-neutron-metering-agent-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch
python-neutron-tests-11.0.1-0.20170913033853.6b26bc5.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud with Director
2. Backend is Ml2/ODL but that doesn't seem to be related
3.

Actual results:
100s of exceptions as mentioned above in the logs

Expected results:
No exceptions

Additional info:

Comment 1 Sai Sindhur Malleni 2017-09-15 19:38:03 UTC
This seems to user error..

On trying to install python-neutron-tests and doing a
yum install python-neutron-tests -y

The other neutron packages were upgraded leading to a likely DB mismatch

Comment 2 Sai Sindhur Malleni 2017-09-15 19:40:39 UTC
The following were the packages before the upgrade:
puppet-neutron-11.3.0-0.20170805104936.743dde6.el7ost.noarch
python-neutronclient-6.5.0-0.20170807200849.355983d.el7ost.noarch
openstack-neutron-lbaas-11.0.0-0.20170807144457.c9adfd4.el7ost.noarch
python-neutron-11.0.0-0.20170807223712.el7ost.noarch
python-neutron-lbaas-11.0.0-0.20170807144457.c9adfd4.el7ost.noarch
openstack-neutron-linuxbridge-11.0.0-0.20170807223712.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170807223712.el7ost.noarch
openstack-neutron-11.0.0-0.20170807223712.el7ost.noarch
openstack-neutron-sriov-nic-agent-11.0.0-0.20170807223712.el7ost.noarch
python-neutron-lib-1.9.1-0.20170731102145.0ef54c3.el7ost.noarch
openstack-neutron-metering-agent-11.0.0-0.20170807223712.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170807223712.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170807223712.el7ost.noarch

Comment 3 Jakub Libosvar 2017-09-27 08:42:50 UTC
Upstream Pike was released on 30 August 2017 while your original package is fro 7 August when Pike was still under development. In between your used version, this patch was merged https://review.openstack.org/#/c/483518/18 that adds an mtu column and corresponding db migration.

If you're a trunk chaser, you need to use neutron-db-manage tool to upgrade your database between updates.

I'm closing this as NOTABUG as once Pike was released, no new database changes were introduced.


Note You need to log in before you can comment on or make changes to this bug.